{ config, lib, pkgs, inputs, ... }:

with lib;
let
  cfg = config.samfelag.modules.system.audio;
  hyprCfg = config.samfelag.modules.desktop.wm.hyprland;
in
{
  options.samfelag.modules.system.audio = {
    enable = mkEnableOption "Audio support";
  };

  config = mkIf cfg.enable {

    environment.systemPackages = with pkgs; [
      alsa-utils
      playerctl
      brightnessctl
    ];

    services.pipewire.enable = true;
  };
}
